DEAL_REQUEST_KEYS = {
    "page": int,
    "domainId": int,
    "excludeCategories": list,
    "includeCategories": list,
    "priceTypes": list,
    "deltaRange": list,
    "deltaPercentRange": list,
    "deltaLastRange": list,
    "salesRankRange": list,
    "currentRange": list,
    "minRating": int,
    "isLowest": bool,
    "isLowestOffer": bool,
    "isOutOfStock": bool,
    "titleSearch": str,
    "isRangeEnabled": bool,
    "isFilterEnabled": bool,
    "hasReviews": bool,
    "filterErotic": bool,
    "sortType": int,
    "dateRange": int,
}


PRODUCT_REQUEST_KEYS = {
    'author': list,
    'availabilityAmazon': int,
    'avg180_AMAZON_lte': int,
    'avg180_AMAZON_gte': int,
    'avg180_BUY_BOX_SHIPPING_lte': int,
    'avg180_BUY_BOX_SHIPPING_gte': int,
    'avg180_COLLECTIBLE_lte': int,
    'avg180_COLLECTIBLE_gte': int,
    'avg180_COUNT_COLLECTIBLE_lte': int,
    'avg180_COUNT_COLLECTIBLE_gte': int,
    'avg180_COUNT_NEW_lte': int,
    'avg180_COUNT_NEW_gte': int,
    'avg180_COUNT_REFURBISHED_lte': int,
    'avg180_COUNT_REFURBISHED_gte': int,
    'avg180_COUNT_REVIEWS_lte': int,
    'avg180_COUNT_REVIEWS_gte': int,
    'avg180_COUNT_USED_lte': int,
    'avg180_COUNT_USED_gte': int,
    'avg180_EBAY_NEW_SHIPPING_lte': int,
    'avg180_EBAY_NEW_SHIPPING_gte': int,
    'avg180_EBAY_USED_SHIPPING_lte': int,
    'avg180_EBAY_USED_SHIPPING_gte': int,
    'avg180_LIGHTNING_DEAL_lte': int,
    'avg180_LIGHTNING_DEAL_gte': int,
    'avg180_LISTPRICE_lte': int,
    'avg180_LISTPRICE_gte': int,
    'avg180_NEW_lte': int,
    'avg180_NEW_gte': int,
    'avg180_NEW_FBA_lte': int,
    'avg180_NEW_FBA_gte': int,
    'avg180_NEW_FBM_SHIPPING_lte': int,
    'avg180_NEW_FBM_SHIPPING_gte': int,
    'avg180_RATING_lte': int,
    'avg180_RATING_gte': int,
    'avg180_REFURBISHED_lte': int,
    'avg180_REFURBISHED_gte': int,
    'avg180_REFURBISHED_SHIPPING_lte': int,
    'avg180_REFURBISHED_SHIPPING_gte': int,
    'avg180_RENT_lte': int,
    'avg180_RENT_gte': int,
    'avg180_SALES_lte': int,
    'avg180_SALES_gte': int,
    'avg180_TRADE_IN_lte': int,
    'avg180_TRADE_IN_gte': int,
    'avg180_USED_lte': int,
    'avg180_USED_gte': int,
    'avg180_USED_ACCEPTABLE_SHIPPING_lte': int,
    'avg180_USED_ACCEPTABLE_SHIPPING_gte': int,
    'avg180_USED_GOOD_SHIPPING_lte': int,
    'avg180_USED_GOOD_SHIPPING_gte': int,
    'avg180_USED_NEW_SHIPPING_lte': int,
    'avg180_USED_NEW_SHIPPING_gte': int,
    'avg180_USED_VERY_GOOD_SHIPPING_lte': int,
    'avg180_USED_VERY_GOOD_SHIPPING_gte': int,
    'avg180_WAREHOUSE_lte': int,
    'avg180_WAREHOUSE_gte': int,
    'avg1_AMAZON_lte': int,
    'avg1_AMAZON_gte': int,
    'avg1_BUY_BOX_SHIPPING_lte': int,
    'avg1_BUY_BOX_SHIPPING_gte': int,
    'avg1_COLLECTIBLE_lte': int,
    'avg1_COLLECTIBLE_gte': int,
    'avg1_COUNT_COLLECTIBLE_lte': int,
    'avg1_COUNT_COLLECTIBLE_gte': int,
    'avg1_COUNT_NEW_lte': int,
    'avg1_COUNT_NEW_gte': int,
    'avg1_COUNT_REFURBISHED_lte': int,
    'avg1_COUNT_REFURBISHED_gte': int,
    'avg1_COUNT_REVIEWS_lte': int,
    'avg1_COUNT_REVIEWS_gte': int,
    'avg1_COUNT_USED_lte': int,
    'avg1_COUNT_USED_gte': int,
    'avg1_EBAY_NEW_SHIPPING_lte': int,
    'avg1_EBAY_NEW_SHIPPING_gte': int,
    'avg1_EBAY_USED_SHIPPING_lte': int,
    'avg1_EBAY_USED_SHIPPING_gte': int,
    'avg1_LIGHTNING_DEAL_lte': int,
    'avg1_LIGHTNING_DEAL_gte': int,
    'avg1_LISTPRICE_lte': int,
    'avg1_LISTPRICE_gte': int,
    'avg1_NEW_lte': int,
    'avg1_NEW_gte': int,
    'avg1_NEW_FBA_lte': int,
    'avg1_NEW_FBA_gte': int,
    'avg1_NEW_FBM_SHIPPING_lte': int,
    'avg1_NEW_FBM_SHIPPING_gte': int,
    'avg1_RATING_lte': int,
    'avg1_RATING_gte': int,
    'avg1_REFURBISHED_lte': int,
    'avg1_REFURBISHED_gte': int,
    'avg1_REFURBISHED_SHIPPING_lte': int,
    'avg1_REFURBISHED_SHIPPING_gte': int,
    'avg1_RENT_lte': int,
    'avg1_RENT_gte': int,
    'avg1_SALES_lte': int,
    'avg1_SALES_gte': int,
    'avg1_TRADE_IN_lte': int,
    'avg1_TRADE_IN_gte': int,
    'avg1_USED_lte': int,
    'avg1_USED_gte': int,
    'avg1_USED_ACCEPTABLE_SHIPPING_lte': int,
    'avg1_USED_ACCEPTABLE_SHIPPING_gte': int,
    'avg1_USED_GOOD_SHIPPING_lte': int,
    'avg1_USED_GOOD_SHIPPING_gte': int,
    'avg1_USED_NEW_SHIPPING_lte': int,
    'avg1_USED_NEW_SHIPPING_gte': int,
    'avg1_USED_VERY_GOOD_SHIPPING_lte': int,
    'avg1_USED_VERY_GOOD_SHIPPING_gte': int,
    'avg1_WAREHOUSE_lte': int,
    'avg1_WAREHOUSE_gte': int,
    'avg30_AMAZON_lte': int,
    'avg30_AMAZON_gte': int,
    'avg30_BUY_BOX_SHIPPING_lte': int,
    'avg30_BUY_BOX_SHIPPING_gte': int,
    'avg30_COLLECTIBLE_lte': int,
    'avg30_COLLECTIBLE_gte': int,
    'avg30_COUNT_COLLECTIBLE_lte': int,
    'avg30_COUNT_COLLECTIBLE_gte': int,
    'avg30_COUNT_NEW_lte': int,
    'avg30_COUNT_NEW_gte': int,
    'avg30_COUNT_REFURBISHED_lte': int,
    'avg30_COUNT_REFURBISHED_gte': int,
    'avg30_COUNT_REVIEWS_lte': int,
    'avg30_COUNT_REVIEWS_gte': int,
    'avg30_COUNT_USED_lte': int,
    'avg30_COUNT_USED_gte': int,
    'avg30_EBAY_NEW_SHIPPING_lte': int,
    'avg30_EBAY_NEW_SHIPPING_gte': int,
    'avg30_EBAY_USED_SHIPPING_lte': int,
    'avg30_EBAY_USED_SHIPPING_gte': int,
    'avg30_LIGHTNING_DEAL_lte': int,
    'avg30_LIGHTNING_DEAL_gte': int,
    'avg30_LISTPRICE_lte': int,
    'avg30_LISTPRICE_gte': int,
    'avg30_NEW_lte': int,
    'avg30_NEW_gte': int,
    'avg30_NEW_FBA_lte': int,
    'avg30_NEW_FBA_gte': int,
    'avg30_NEW_FBM_SHIPPING_lte': int,
    'avg30_NEW_FBM_SHIPPING_gte': int,
    'avg30_RATING_lte': int,
    'avg30_RATING_gte': int,
    'avg30_REFURBISHED_lte': int,
    'avg30_REFURBISHED_gte': int,
    'avg30_REFURBISHED_SHIPPING_lte': int,
    'avg30_REFURBISHED_SHIPPING_gte': int,
    'avg30_RENT_lte': int,
    'avg30_RENT_gte': int,
    'avg30_SALES_lte': int,
    'avg30_SALES_gte': int,
    'avg30_TRADE_IN_lte': int,
    'avg30_TRADE_IN_gte': int,
    'avg30_USED_lte': int,
    'avg30_USED_gte': int,
    'avg30_USED_ACCEPTABLE_SHIPPING_lte': int,
    'avg30_USED_ACCEPTABLE_SHIPPING_gte': int,
    'avg30_USED_GOOD_SHIPPING_lte': int,
    'avg30_USED_GOOD_SHIPPING_gte': int,
    'avg30_USED_NEW_SHIPPING_lte': int,
    'avg30_USED_NEW_SHIPPING_gte': int,
    'avg30_USED_VERY_GOOD_SHIPPING_lte': int,
    'avg30_USED_VERY_GOOD_SHIPPING_gte': int,
    'avg30_WAREHOUSE_lte': int,
    'avg30_WAREHOUSE_gte': int,
    'avg7_AMAZON_lte': int,
    'avg7_AMAZON_gte': int,
    'avg7_BUY_BOX_SHIPPING_lte': int,
    'avg7_BUY_BOX_SHIPPING_gte': int,
    'avg7_COLLECTIBLE_lte': int,
    'avg7_COLLECTIBLE_gte': int,
    'avg7_COUNT_COLLECTIBLE_lte': int,
    'avg7_COUNT_COLLECTIBLE_gte': int,
    'avg7_COUNT_NEW_lte': int,
    'avg7_COUNT_NEW_gte': int,
    'avg7_COUNT_REFURBISHED_lte': int,
    'avg7_COUNT_REFURBISHED_gte': int,
    'avg7_COUNT_REVIEWS_lte': int,
    'avg7_COUNT_REVIEWS_gte': int,
    'avg7_COUNT_USED_lte': int,
    'avg7_COUNT_USED_gte': int,
    'avg7_EBAY_NEW_SHIPPING_lte': int,
    'avg7_EBAY_NEW_SHIPPING_gte': int,
    'avg7_EBAY_USED_SHIPPING_lte': int,
    'avg7_EBAY_USED_SHIPPING_gte': int,
    'avg7_LIGHTNING_DEAL_lte': int,
    'avg7_LIGHTNING_DEAL_gte': int,
    'avg7_LISTPRICE_lte': int,
    'avg7_LISTPRICE_gte': int,
    'avg7_NEW_lte': int,
    'avg7_NEW_gte': int,
    'avg7_NEW_FBA_lte': int,
    'avg7_NEW_FBA_gte': int,
    'avg7_NEW_FBM_SHIPPING_lte': int,
    'avg7_NEW_FBM_SHIPPING_gte': int,
    'avg7_RATING_lte': int,
    'avg7_RATING_gte': int,
    'avg7_REFURBISHED_lte': int,
    'avg7_REFURBISHED_gte': int,
    'avg7_REFURBISHED_SHIPPING_lte': int,
    'avg7_REFURBISHED_SHIPPING_gte': int,
    'avg7_RENT_lte': int,
    'avg7_RENT_gte': int,
    'avg7_SALES_lte': int,
    'avg7_SALES_gte': int,
    'avg7_TRADE_IN_lte': int,
    'avg7_TRADE_IN_gte': int,
    'avg7_USED_lte': int,
    'avg7_USED_gte': int,
    'avg7_USED_ACCEPTABLE_SHIPPING_lte': int,
    'avg7_USED_ACCEPTABLE_SHIPPING_gte': int,
    'avg7_USED_GOOD_SHIPPING_lte': int,
    'avg7_USED_GOOD_SHIPPING_gte': int,
    'avg7_USED_NEW_SHIPPING_lte': int,
    'avg7_USED_NEW_SHIPPING_gte': int,
    'avg7_USED_VERY_GOOD_SHIPPING_lte': int,
    'avg7_USED_VERY_GOOD_SHIPPING_gte': int,
    'avg7_WAREHOUSE_lte': int,
    'avg7_WAREHOUSE_gte': int,
    'avg90_AMAZON_lte': int,
    'avg90_AMAZON_gte': int,
    'avg90_BUY_BOX_SHIPPING_lte': int,
    'avg90_BUY_BOX_SHIPPING_gte': int,
    'avg90_COLLECTIBLE_lte': int,
    'avg90_COLLECTIBLE_gte': int,
    'avg90_COUNT_COLLECTIBLE_lte': int,
    'avg90_COUNT_COLLECTIBLE_gte': int,
    'avg90_COUNT_NEW_lte': int,
    'avg90_COUNT_NEW_gte': int,
    'avg90_COUNT_REFURBISHED_lte': int,
    'avg90_COUNT_REFURBISHED_gte': int,
    'avg90_COUNT_REVIEWS_lte': int,
    'avg90_COUNT_REVIEWS_gte': int,
    'avg90_COUNT_USED_lte': int,
    'avg90_COUNT_USED_gte': int,
    'avg90_EBAY_NEW_SHIPPING_lte': int,
    'avg90_EBAY_NEW_SHIPPING_gte': int,
    'avg90_EBAY_USED_SHIPPING_lte': int,
    'avg90_EBAY_USED_SHIPPING_gte': int,
    'avg90_LIGHTNING_DEAL_lte': int,
    'avg90_LIGHTNING_DEAL_gte': int,
    'avg90_LISTPRICE_lte': int,
    'avg90_LISTPRICE_gte': int,
    'avg90_NEW_lte': int,
    'avg90_NEW_gte': int,
    'avg90_NEW_FBA_lte': int,
    'avg90_NEW_FBA_gte': int,
    'avg90_NEW_FBM_SHIPPING_lte': int,
    'avg90_NEW_FBM_SHIPPING_gte': int,
    'avg90_RATING_lte': int,
    'avg90_RATING_gte': int,
    'avg90_REFURBISHED_lte': int,
    'avg90_REFURBISHED_gte': int,
    'avg90_REFURBISHED_SHIPPING_lte': int,
    'avg90_REFURBISHED_SHIPPING_gte': int,
    'avg90_RENT_lte': int,
    'avg90_RENT_gte': int,
    'avg90_SALES_lte': int,
    'avg90_SALES_gte': int,
    'avg90_TRADE_IN_lte': int,
    'avg90_TRADE_IN_gte': int,
    'avg90_USED_lte': int,
    'avg90_USED_gte': int,
    'avg90_USED_ACCEPTABLE_SHIPPING_lte': int,
    'avg90_USED_ACCEPTABLE_SHIPPING_gte': int,
    'avg90_USED_GOOD_SHIPPING_lte': int,
    'avg90_USED_GOOD_SHIPPING_gte': int,
    'avg90_USED_NEW_SHIPPING_lte': int,
    'avg90_USED_NEW_SHIPPING_gte': int,
    'avg90_USED_VERY_GOOD_SHIPPING_lte': int,
    'avg90_USED_VERY_GOOD_SHIPPING_gte': int,
    'avg90_WAREHOUSE_lte': int,
    'avg90_WAREHOUSE_gte': int,
    'backInStock_AMAZON': bool,
    'backInStock_BUY_BOX_SHIPPING': bool,
    'backInStock_COLLECTIBLE': bool,
    'backInStock_COUNT_COLLECTIBLE': bool,
    'backInStock_COUNT_NEW': bool,
    'backInStock_COUNT_REFURBISHED': bool,
    'backInStock_COUNT_REVIEWS': bool,
    'backInStock_COUNT_USED': bool,
    'backInStock_EBAY_NEW_SHIPPING': bool,
    'backInStock_EBAY_USED_SHIPPING': bool,
    'backInStock_LIGHTNING_DEAL': bool,
    'backInStock_LISTPRICE': bool,
    'backInStock_NEW': bool,
    'backInStock_NEW_FBA': bool,
    'backInStock_NEW_FBM_SHIPPING': bool,
    'backInStock_RATING': bool,
    'backInStock_REFURBISHED': bool,
    'backInStock_REFURBISHED_SHIPPING': bool,
    'backInStock_RENT': bool,
    'backInStock_SALES': bool,
    'backInStock_TRADE_IN': bool,
    'backInStock_USED': bool,
    'backInStock_USED_ACCEPTABLE_SHIPPING': bool,
    'backInStock_USED_GOOD_SHIPPING': bool,
    'backInStock_USED_NEW_SHIPPING': bool,
    'backInStock_USED_VERY_GOOD_SHIPPING': bool,
    'backInStock_WAREHOUSE': bool,
    'binding': list,
    'brand': list,
    'buyBoxSellerId': str,
    'categories_include': list,
    'categories_exclude': list,
    'color': list,
    'couponOneTimeAbsolute_lte': int,
    'couponOneTimeAbsolute_gte': int,
    'couponOneTimePercent_lte': int,
    'couponOneTimePercent_gte': int,
    'couponSNSAbsolute_lte': int,
    'couponSNSAbsolute_gte': int,
    'couponSNSPercent_lte': int,
    'couponSNSPercent_gte': int,
    'current_AMAZON_lte': int,
    'current_AMAZON_gte': int,
    'current_BUY_BOX_SHIPPING_lte': int,
    'current_BUY_BOX_SHIPPING_gte': int,
    'current_COLLECTIBLE_lte': int,
    'current_COLLECTIBLE_gte': int,
    'current_COUNT_COLLECTIBLE_lte': int,
    'current_COUNT_COLLECTIBLE_gte': int,
    'current_COUNT_NEW_lte': int,
    'current_COUNT_NEW_gte': int,
    'current_COUNT_REFURBISHED_lte': int,
    'current_COUNT_REFURBISHED_gte': int,
    'current_COUNT_REVIEWS_lte': int,
    'current_COUNT_REVIEWS_gte': int,
    'current_COUNT_USED_lte': int,
    'current_COUNT_USED_gte': int,
    'current_EBAY_NEW_SHIPPING_lte': int,
    'current_EBAY_NEW_SHIPPING_gte': int,
    'current_EBAY_USED_SHIPPING_lte': int,
    'current_EBAY_USED_SHIPPING_gte': int,
    'current_LIGHTNING_DEAL_lte': int,
    'current_LIGHTNING_DEAL_gte': int,
    'current_LISTPRICE_lte': int,
    'current_LISTPRICE_gte': int,
    'current_NEW_lte': int,
    'current_NEW_gte': int,
    'current_NEW_FBA_lte': int,
    'current_NEW_FBA_gte': int,
    'current_NEW_FBM_SHIPPING_lte': int,
    'current_NEW_FBM_SHIPPING_gte': int,
    'current_RATING_lte': int,
    'current_RATING_gte': int,
    'current_REFURBISHED_lte': int,
    'current_REFURBISHED_gte': int,
    'current_REFURBISHED_SHIPPING_lte': int,
    'current_REFURBISHED_SHIPPING_gte': int,
    'current_RENT_lte': int,
    'current_RENT_gte': int,
    'current_SALES_lte': int,
    'current_SALES_gte': int,
    'current_TRADE_IN_lte': int,
    'current_TRADE_IN_gte': int,
    'current_USED_lte': int,
    'current_USED_gte': int,
    'current_USED_ACCEPTABLE_SHIPPING_lte': int,
    'current_USED_ACCEPTABLE_SHIPPING_gte': int,
    'current_USED_GOOD_SHIPPING_lte': int,
    'current_USED_GOOD_SHIPPING_gte': int,
    'current_USED_NEW_SHIPPING_lte': int,
    'current_USED_NEW_SHIPPING_gte': int,
    'current_USED_VERY_GOOD_SHIPPING_lte': int,
    'current_USED_VERY_GOOD_SHIPPING_gte': int,
    'current_WAREHOUSE_lte': int,
    'current_WAREHOUSE_gte': int,
    'delta1_AMAZON_lte': int,
    'delta1_AMAZON_gte': int,
    'delta1_BUY_BOX_SHIPPING_lte': int,
    'delta1_BUY_BOX_SHIPPING_gte': int,
    'delta1_COLLECTIBLE_lte': int,
    'delta1_COLLECTIBLE_gte': int,
    'delta1_COUNT_COLLECTIBLE_lte': int,
    'delta1_COUNT_COLLECTIBLE_gte': int,
    'delta1_COUNT_NEW_lte': int,
    'delta1_COUNT_NEW_gte': int,
    'delta1_COUNT_REFURBISHED_lte': int,
    'delta1_COUNT_REFURBISHED_gte': int,
    'delta1_COUNT_REVIEWS_lte': int,
    'delta1_COUNT_REVIEWS_gte': int,
    'delta1_COUNT_USED_lte': int,
    'delta1_COUNT_USED_gte': int,
    'delta1_EBAY_NEW_SHIPPING_lte': int,
    'delta1_EBAY_NEW_SHIPPING_gte': int,
    'delta1_EBAY_USED_SHIPPING_lte': int,
    'delta1_EBAY_USED_SHIPPING_gte': int,
    'delta1_LIGHTNING_DEAL_lte': int,
    'delta1_LIGHTNING_DEAL_gte': int,
    'delta1_LISTPRICE_lte': int,
    'delta1_LISTPRICE_gte': int,
    'delta1_NEW_lte': int,
    'delta1_NEW_gte': int,
    'delta1_NEW_FBA_lte': int,
    'delta1_NEW_FBA_gte': int,
    'delta1_NEW_FBM_SHIPPING_lte': int,
    'delta1_NEW_FBM_SHIPPING_gte': int,
    'delta1_RATING_lte': int,
    'delta1_RATING_gte': int,
    'delta1_REFURBISHED_lte': int,
    'delta1_REFURBISHED_gte': int,
    'delta1_REFURBISHED_SHIPPING_lte': int,
    'delta1_REFURBISHED_SHIPPING_gte': int,
    'delta1_RENT_lte': int,
    'delta1_RENT_gte': int,
    'delta1_SALES_lte': int,
    'delta1_SALES_gte': int,
    'delta1_TRADE_IN_lte': int,
    'delta1_TRADE_IN_gte': int,
    'delta1_USED_lte': int,
    'delta1_USED_gte': int,
    'delta1_USED_ACCEPTABLE_SHIPPING_lte': int,
    'delta1_USED_ACCEPTABLE_SHIPPING_gte': int,
    'delta1_USED_GOOD_SHIPPING_lte': int,
    'delta1_USED_GOOD_SHIPPING_gte': int,
    'delta1_USED_NEW_SHIPPING_lte': int,
    'delta1_USED_NEW_SHIPPING_gte': int,
    'delta1_USED_VERY_GOOD_SHIPPING_lte': int,
    'delta1_USED_VERY_GOOD_SHIPPING_gte': int,
    'delta1_WAREHOUSE_lte': int,
    'delta1_WAREHOUSE_gte': int,
    'delta30_AMAZON_lte': int,
    'delta30_AMAZON_gte': int,
    'delta30_BUY_BOX_SHIPPING_lte': int,
    'delta30_BUY_BOX_SHIPPING_gte': int,
    'delta30_COLLECTIBLE_lte': int,
    'delta30_COLLECTIBLE_gte': int,
    'delta30_COUNT_COLLECTIBLE_lte': int,
    'delta30_COUNT_COLLECTIBLE_gte': int,
    'delta30_COUNT_NEW_lte': int,
    'delta30_COUNT_NEW_gte': int,
    'delta30_COUNT_REFURBISHED_lte': int,
    'delta30_COUNT_REFURBISHED_gte': int,
    'delta30_COUNT_REVIEWS_lte': int,
    'delta30_COUNT_REVIEWS_gte': int,
    'delta30_COUNT_USED_lte': int,
    'delta30_COUNT_USED_gte': int,
    'delta30_EBAY_NEW_SHIPPING_lte': int,
    'delta30_EBAY_NEW_SHIPPING_gte': int,
    'delta30_EBAY_USED_SHIPPING_lte': int,
    'delta30_EBAY_USED_SHIPPING_gte': int,
    'delta30_LIGHTNING_DEAL_lte': int,
    'delta30_LIGHTNING_DEAL_gte': int,
    'delta30_LISTPRICE_lte': int,
    'delta30_LISTPRICE_gte': int,
    'delta30_NEW_lte': int,
    'delta30_NEW_gte': int,
    'delta30_NEW_FBA_lte': int,
    'delta30_NEW_FBA_gte': int,
    'delta30_NEW_FBM_SHIPPING_lte': int,
    'delta30_NEW_FBM_SHIPPING_gte': int,
    'delta30_RATING_lte': int,
    'delta30_RATING_gte': int,
    'delta30_REFURBISHED_lte': int,
    'delta30_REFURBISHED_gte': int,
    'delta30_REFURBISHED_SHIPPING_lte': int,
    'delta30_REFURBISHED_SHIPPING_gte': int,
    'delta30_RENT_lte': int,
    'delta30_RENT_gte': int,
    'delta30_SALES_lte': int,
    'delta30_SALES_gte': int,
    'delta30_TRADE_IN_lte': int,
    'delta30_TRADE_IN_gte': int,
    'delta30_USED_lte': int,
    'delta30_USED_gte': int,
    'delta30_USED_ACCEPTABLE_SHIPPING_lte': int,
    'delta30_USED_ACCEPTABLE_SHIPPING_gte': int,
    'delta30_USED_GOOD_SHIPPING_lte': int,
    'delta30_USED_GOOD_SHIPPING_gte': int,
    'delta30_USED_NEW_SHIPPING_lte': int,
    'delta30_USED_NEW_SHIPPING_gte': int,
    'delta30_USED_VERY_GOOD_SHIPPING_lte': int,
    'delta30_USED_VERY_GOOD_SHIPPING_gte': int,
    'delta30_WAREHOUSE_lte': int,
    'delta30_WAREHOUSE_gte': int,
    'delta7_AMAZON_lte': int,
    'delta7_AMAZON_gte': int,
    'delta7_BUY_BOX_SHIPPING_lte': int,
    'delta7_BUY_BOX_SHIPPING_gte': int,
    'delta7_COLLECTIBLE_lte': int,
    'delta7_COLLECTIBLE_gte': int,
    'delta7_COUNT_COLLECTIBLE_lte': int,
    'delta7_COUNT_COLLECTIBLE_gte': int,
    'delta7_COUNT_NEW_lte': int,
    'delta7_COUNT_NEW_gte': int,
    'delta7_COUNT_REFURBISHED_lte': int,
    'delta7_COUNT_REFURBISHED_gte': int,
    'delta7_COUNT_REVIEWS_lte': int,
    'delta7_COUNT_REVIEWS_gte': int,
    'delta7_COUNT_USED_lte': int,
    'delta7_COUNT_USED_gte': int,
    'delta7_EBAY_NEW_SHIPPING_lte': int,
    'delta7_EBAY_NEW_SHIPPING_gte': int,
    'delta7_EBAY_USED_SHIPPING_lte': int,
    'delta7_EBAY_USED_SHIPPING_gte': int,
    'delta7_LIGHTNING_DEAL_lte': int,
    'delta7_LIGHTNING_DEAL_gte': int,
    'delta7_LISTPRICE_lte': int,
    'delta7_LISTPRICE_gte': int,
    'delta7_NEW_lte': int,
    'delta7_NEW_gte': int,
    'delta7_NEW_FBA_lte': int,
    'delta7_NEW_FBA_gte': int,
    'delta7_NEW_FBM_SHIPPING_lte': int,
    'delta7_NEW_FBM_SHIPPING_gte': int,
    'delta7_RATING_lte': int,
    'delta7_RATING_gte': int,
    'delta7_REFURBISHED_lte': int,
    'delta7_REFURBISHED_gte': int,
    'delta7_REFURBISHED_SHIPPING_lte': int,
    'delta7_REFURBISHED_SHIPPING_gte': int,
    'delta7_RENT_lte': int,
    'delta7_RENT_gte': int,
    'delta7_SALES_lte': int,
    'delta7_SALES_gte': int,
    'delta7_TRADE_IN_lte': int,
    'delta7_TRADE_IN_gte': int,
    'delta7_USED_lte': int,
    'delta7_USED_gte': int,
    'delta7_USED_ACCEPTABLE_SHIPPING_lte': int,
    'delta7_USED_ACCEPTABLE_SHIPPING_gte': int,
    'delta7_USED_GOOD_SHIPPING_lte': int,
    'delta7_USED_GOOD_SHIPPING_gte': int,
    'delta7_USED_NEW_SHIPPING_lte': int,
    'delta7_USED_NEW_SHIPPING_gte': int,
    'delta7_USED_VERY_GOOD_SHIPPING_lte': int,
    'delta7_USED_VERY_GOOD_SHIPPING_gte': int,
    'delta7_WAREHOUSE_lte': int,
    'delta7_WAREHOUSE_gte': int,
    'delta90_AMAZON_lte': int,
    'delta90_AMAZON_gte': int,
    'delta90_BUY_BOX_SHIPPING_lte': int,
    'delta90_BUY_BOX_SHIPPING_gte': int,
    'delta90_COLLECTIBLE_lte': int,
    'delta90_COLLECTIBLE_gte': int,
    'delta90_COUNT_COLLECTIBLE_lte': int,
    'delta90_COUNT_COLLECTIBLE_gte': int,
    'delta90_COUNT_NEW_lte': int,
    'delta90_COUNT_NEW_gte': int,
    'delta90_COUNT_REFURBISHED_lte': int,
    'delta90_COUNT_REFURBISHED_gte': int,
    'delta90_COUNT_REVIEWS_lte': int,
    'delta90_COUNT_REVIEWS_gte': int,
    'delta90_COUNT_USED_lte': int,
    'delta90_COUNT_USED_gte': int,
    'delta90_EBAY_NEW_SHIPPING_lte': int,
    'delta90_EBAY_NEW_SHIPPING_gte': int,
    'delta90_EBAY_USED_SHIPPING_lte': int,
    'delta90_EBAY_USED_SHIPPING_gte': int,
    'delta90_LIGHTNING_DEAL_lte': int,
    'delta90_LIGHTNING_DEAL_gte': int,
    'delta90_LISTPRICE_lte': int,
    'delta90_LISTPRICE_gte': int,
    'delta90_NEW_lte': int,
    'delta90_NEW_gte': int,
    'delta90_NEW_FBA_lte': int,
    'delta90_NEW_FBA_gte': int,
    'delta90_NEW_FBM_SHIPPING_lte': int,
    'delta90_NEW_FBM_SHIPPING_gte': int,
    'delta90_RATING_lte': int,
    'delta90_RATING_gte': int,
    'delta90_REFURBISHED_lte': int,
    'delta90_REFURBISHED_gte': int,
    'delta90_REFURBISHED_SHIPPING_lte': int,
    'delta90_REFURBISHED_SHIPPING_gte': int,
    'delta90_RENT_lte': int,
    'delta90_RENT_gte': int,
    'delta90_SALES_lte': int,
    'delta90_SALES_gte': int,
    'delta90_TRADE_IN_lte': int,
    'delta90_TRADE_IN_gte': int,
    'delta90_USED_lte': int,
    'delta90_USED_gte': int,
    'delta90_USED_ACCEPTABLE_SHIPPING_lte': int,
    'delta90_USED_ACCEPTABLE_SHIPPING_gte': int,
    'delta90_USED_GOOD_SHIPPING_lte': int,
    'delta90_USED_GOOD_SHIPPING_gte': int,
    'delta90_USED_NEW_SHIPPING_lte': int,
    'delta90_USED_NEW_SHIPPING_gte': int,
    'delta90_USED_VERY_GOOD_SHIPPING_lte': int,
    'delta90_USED_VERY_GOOD_SHIPPING_gte': int,
    'delta90_WAREHOUSE_lte': int,
    'delta90_WAREHOUSE_gte': int,
    'deltaLast_AMAZON_lte': int,
    'deltaLast_AMAZON_gte': int,
    'deltaLast_BUY_BOX_SHIPPING_lte': int,
    'deltaLast_BUY_BOX_SHIPPING_gte': int,
    'deltaLast_COLLECTIBLE_lte': int,
    'deltaLast_COLLECTIBLE_gte': int,
    'deltaLast_COUNT_COLLECTIBLE_lte': int,
    'deltaLast_COUNT_COLLECTIBLE_gte': int,
    'deltaLast_COUNT_NEW_lte': int,
    'deltaLast_COUNT_NEW_gte': int,
    'deltaLast_COUNT_REFURBISHED_lte': int,
    'deltaLast_COUNT_REFURBISHED_gte': int,
    'deltaLast_COUNT_REVIEWS_lte': int,
    'deltaLast_COUNT_REVIEWS_gte': int,
    'deltaLast_COUNT_USED_lte': int,
    'deltaLast_COUNT_USED_gte': int,
    'deltaLast_EBAY_NEW_SHIPPING_lte': int,
    'deltaLast_EBAY_NEW_SHIPPING_gte': int,
    'deltaLast_EBAY_USED_SHIPPING_lte': int,
    'deltaLast_EBAY_USED_SHIPPING_gte': int,
    'deltaLast_LIGHTNING_DEAL_lte': int,
    'deltaLast_LIGHTNING_DEAL_gte': int,
    'deltaLast_LISTPRICE_lte': int,
    'deltaLast_LISTPRICE_gte': int,
    'deltaLast_NEW_lte': int,
    'deltaLast_NEW_gte': int,
    'deltaLast_NEW_FBA_lte': int,
    'deltaLast_NEW_FBA_gte': int,
    'deltaLast_NEW_FBM_SHIPPING_lte': int,
    'deltaLast_NEW_FBM_SHIPPING_gte': int,
    'deltaLast_RATING_lte': int,
    'deltaLast_RATING_gte': int,
    'deltaLast_REFURBISHED_lte': int,
    'deltaLast_REFURBISHED_gte': int,
    'deltaLast_REFURBISHED_SHIPPING_lte': int,
    'deltaLast_REFURBISHED_SHIPPING_gte': int,
    'deltaLast_RENT_lte': int,
    'deltaLast_RENT_gte': int,
    'deltaLast_SALES_lte': int,
    'deltaLast_SALES_gte': int,
    'deltaLast_TRADE_IN_lte': int,
    'deltaLast_TRADE_IN_gte': int,
    'deltaLast_USED_lte': int,
    'deltaLast_USED_gte': int,
    'deltaLast_USED_ACCEPTABLE_SHIPPING_lte': int,
    'deltaLast_USED_ACCEPTABLE_SHIPPING_gte': int,
    'deltaLast_USED_GOOD_SHIPPING_lte': int,
    'deltaLast_USED_GOOD_SHIPPING_gte': int,
    'deltaLast_USED_NEW_SHIPPING_lte': int,
    'deltaLast_USED_NEW_SHIPPING_gte': int,
    'deltaLast_USED_VERY_GOOD_SHIPPING_lte': int,
    'deltaLast_USED_VERY_GOOD_SHIPPING_gte': int,
    'deltaLast_WAREHOUSE_lte': int,
    'deltaLast_WAREHOUSE_gte': int,
    'deltaPercent1_AMAZON_lte': int,
    'deltaPercent1_AMAZON_gte': int,
    'deltaPercent1_BUY_BOX_SHIPPING_lte': int,
    'deltaPercent1_BUY_BOX_SHIPPING_gte': int,
    'deltaPercent1_COLLECTIBLE_lte': int,
    'deltaPercent1_COLLECTIBLE_gte': int,
    'deltaPercent1_COUNT_COLLECTIBLE_lte': int,
    'deltaPercent1_COUNT_COLLECTIBLE_gte': int,
    'deltaPercent1_COUNT_NEW_lte': int,
    'deltaPercent1_COUNT_NEW_gte': int,
    'deltaPercent1_COUNT_REFURBISHED_lte': int,
    'deltaPercent1_COUNT_REFURBISHED_gte': int,
    'deltaPercent1_COUNT_REVIEWS_lte': int,
    'deltaPercent1_COUNT_REVIEWS_gte': int,
    'deltaPercent1_COUNT_USED_lte': int,
    'deltaPercent1_COUNT_USED_gte': int,
    'deltaPercent1_EBAY_NEW_SHIPPING_lte': int,
    'deltaPercent1_EBAY_NEW_SHIPPING_gte': int,
    'deltaPercent1_EBAY_USED_SHIPPING_lte': int,
    'deltaPercent1_EBAY_USED_SHIPPING_gte': int,
    'deltaPercent1_LIGHTNING_DEAL_lte': int,
    'deltaPercent1_LIGHTNING_DEAL_gte': int,
    'deltaPercent1_LISTPRICE_lte': int,
    'deltaPercent1_LISTPRICE_gte': int,
    'deltaPercent1_NEW_lte': int,
    'deltaPercent1_NEW_gte': int,
    'deltaPercent1_NEW_FBA_lte': int,
    'deltaPercent1_NEW_FBA_gte': int,
    'deltaPercent1_NEW_FBM_SHIPPING_lte': int,
    'deltaPercent1_NEW_FBM_SHIPPING_gte': int,
    'deltaPercent1_RATING_lte': int,
    'deltaPercent1_RATING_gte': int,
    'deltaPercent1_REFURBISHED_lte': int,
    'deltaPercent1_REFURBISHED_gte': int,
    'deltaPercent1_REFURBISHED_SHIPPING_lte': int,
    'deltaPercent1_REFURBISHED_SHIPPING_gte': int,
    'deltaPercent1_RENT_lte': int,
    'deltaPercent1_RENT_gte': int,
    'deltaPercent1_SALES_lte': int,
    'deltaPercent1_SALES_gte': int,
    'deltaPercent1_TRADE_IN_lte': int,
    'deltaPercent1_TRADE_IN_gte': int,
    'deltaPercent1_USED_lte': int,
    'deltaPercent1_USED_gte': int,
    'deltaPercent1_USED_ACCEPTABLE_SHIPPING_lte': int,
    'deltaPercent1_USED_ACCEPTABLE_SHIPPING_gte': int,
    'deltaPercent1_USED_GOOD_SHIPPING_lte': int,
    'deltaPercent1_USED_GOOD_SHIPPING_gte': int,
    'deltaPercent1_USED_NEW_SHIPPING_lte': int,
    'deltaPercent1_USED_NEW_SHIPPING_gte': int,
    'deltaPercent1_USED_VERY_GOOD_SHIPPING_lte': int,
    'deltaPercent1_USED_VERY_GOOD_SHIPPING_gte': int,
    'deltaPercent1_WAREHOUSE_lte': int,
    'deltaPercent1_WAREHOUSE_gte': int,
    'deltaPercent30_AMAZON_lte': int,
    'deltaPercent30_AMAZON_gte': int,
    'deltaPercent30_BUY_BOX_SHIPPING_lte': int,
    'deltaPercent30_BUY_BOX_SHIPPING_gte': int,
    'deltaPercent30_COLLECTIBLE_lte': int,
    'deltaPercent30_COLLECTIBLE_gte': int,
    'deltaPercent30_COUNT_COLLECTIBLE_lte': int,
    'deltaPercent30_COUNT_COLLECTIBLE_gte': int,
    'deltaPercent30_COUNT_NEW_lte': int,
    'deltaPercent30_COUNT_NEW_gte': int,
    'deltaPercent30_COUNT_REFURBISHED_lte': int,
    'deltaPercent30_COUNT_REFURBISHED_gte': int,
    'deltaPercent30_COUNT_REVIEWS_lte': int,
    'deltaPercent30_COUNT_REVIEWS_gte': int,
    'deltaPercent30_COUNT_USED_lte': int,
    'deltaPercent30_COUNT_USED_gte': int,
    'deltaPercent30_EBAY_NEW_SHIPPING_lte': int,
    'deltaPercent30_EBAY_NEW_SHIPPING_gte': int,
    'deltaPercent30_EBAY_USED_SHIPPING_lte': int,
    'deltaPercent30_EBAY_USED_SHIPPING_gte': int,
    'deltaPercent30_LIGHTNING_DEAL_lte': int,
    'deltaPercent30_LIGHTNING_DEAL_gte': int,
    'deltaPercent30_LISTPRICE_lte': int,
    'deltaPercent30_LISTPRICE_gte': int,
    'deltaPercent30_NEW_lte': int,
    'deltaPercent30_NEW_gte': int,
    'deltaPercent30_NEW_FBA_lte': int,
    'deltaPercent30_NEW_FBA_gte': int,
    'deltaPercent30_NEW_FBM_SHIPPING_lte': int,
    'deltaPercent30_NEW_FBM_SHIPPING_gte': int,
    'deltaPercent30_RATING_lte': int,
    'deltaPercent30_RATING_gte': int,
    'deltaPercent30_REFURBISHED_lte': int,
    'deltaPercent30_REFURBISHED_gte': int,
    'deltaPercent30_REFURBISHED_SHIPPING_lte': int,
    'deltaPercent30_REFURBISHED_SHIPPING_gte': int,
    'deltaPercent30_RENT_lte': int,
    'deltaPercent30_RENT_gte': int,
    'deltaPercent30_SALES_lte': int,
    'deltaPercent30_SALES_gte': int,
    'deltaPercent30_TRADE_IN_lte': int,
    'deltaPercent30_TRADE_IN_gte': int,
    'deltaPercent30_USED_lte': int,
    'deltaPercent30_USED_gte': int,
    'deltaPercent30_USED_ACCEPTABLE_SHIPPING_lte': int,
    'deltaPercent30_USED_ACCEPTABLE_SHIPPING_gte': int,
    'deltaPercent30_USED_GOOD_SHIPPING_lte': int,
    'deltaPercent30_USED_GOOD_SHIPPING_gte': int,
    'deltaPercent30_USED_NEW_SHIPPING_lte': int,
    'deltaPercent30_USED_NEW_SHIPPING_gte': int,
    'deltaPercent30_USED_VERY_GOOD_SHIPPING_lte': int,
    'deltaPercent30_USED_VERY_GOOD_SHIPPING_gte': int,
    'deltaPercent30_WAREHOUSE_lte': int,
    'deltaPercent30_WAREHOUSE_gte': int,
    'deltaPercent7_AMAZON_lte': int,
    'deltaPercent7_AMAZON_gte': int,
    'deltaPercent7_BUY_BOX_SHIPPING_lte': int,
    'deltaPercent7_BUY_BOX_SHIPPING_gte': int,
    'deltaPercent7_COLLECTIBLE_lte': int,
    'deltaPercent7_COLLECTIBLE_gte': int,
    'deltaPercent7_COUNT_COLLECTIBLE_lte': int,
    'deltaPercent7_COUNT_COLLECTIBLE_gte': int,
    'deltaPercent7_COUNT_NEW_lte': int,
    'deltaPercent7_COUNT_NEW_gte': int,
    'deltaPercent7_COUNT_REFURBISHED_lte': int,
    'deltaPercent7_COUNT_REFURBISHED_gte': int,
    'deltaPercent7_COUNT_REVIEWS_lte': int,
    'deltaPercent7_COUNT_REVIEWS_gte': int,
    'deltaPercent7_COUNT_USED_lte': int,
    'deltaPercent7_COUNT_USED_gte': int,
    'deltaPercent7_EBAY_NEW_SHIPPING_lte': int,
    'deltaPercent7_EBAY_NEW_SHIPPING_gte': int,
    'deltaPercent7_EBAY_USED_SHIPPING_lte': int,
    'deltaPercent7_EBAY_USED_SHIPPING_gte': int,
    'deltaPercent7_LIGHTNING_DEAL_lte': int,
    'deltaPercent7_LIGHTNING_DEAL_gte': int,
    'deltaPercent7_LISTPRICE_lte': int,
    'deltaPercent7_LISTPRICE_gte': int,
    'deltaPercent7_NEW_lte': int,
    'deltaPercent7_NEW_gte': int,
    'deltaPercent7_NEW_FBA_lte': int,
    'deltaPercent7_NEW_FBA_gte': int,
    'deltaPercent7_NEW_FBM_SHIPPING_lte': int,
    'deltaPercent7_NEW_FBM_SHIPPING_gte': int,
    'deltaPercent7_RATING_lte': int,
    'deltaPercent7_RATING_gte': int,
    'deltaPercent7_REFURBISHED_lte': int,
    'deltaPercent7_REFURBISHED_gte': int,
    'deltaPercent7_REFURBISHED_SHIPPING_lte': int,
    'deltaPercent7_REFURBISHED_SHIPPING_gte': int,
    'deltaPercent7_RENT_lte': int,
    'deltaPercent7_RENT_gte': int,
    'deltaPercent7_SALES_lte': int,
    'deltaPercent7_SALES_gte': int,
    'deltaPercent7_TRADE_IN_lte': int,
    'deltaPercent7_TRADE_IN_gte': int,
    'deltaPercent7_USED_lte': int,
    'deltaPercent7_USED_gte': int,
    'deltaPercent7_USED_ACCEPTABLE_SHIPPING_lte': int,
    'deltaPercent7_USED_ACCEPTABLE_SHIPPING_gte': int,
    'deltaPercent7_USED_GOOD_SHIPPING_lte': int,
    'deltaPercent7_USED_GOOD_SHIPPING_gte': int,
    'deltaPercent7_USED_NEW_SHIPPING_lte': int,
    'deltaPercent7_USED_NEW_SHIPPING_gte': int,
    'deltaPercent7_USED_VERY_GOOD_SHIPPING_lte': int,
    'deltaPercent7_USED_VERY_GOOD_SHIPPING_gte': int,
    'deltaPercent7_WAREHOUSE_lte': int,
    'deltaPercent7_WAREHOUSE_gte': int,
    'deltaPercent90_AMAZON_lte': int,
    'deltaPercent90_AMAZON_gte': int,
    'deltaPercent90_BUY_BOX_SHIPPING_lte': int,
    'deltaPercent90_BUY_BOX_SHIPPING_gte': int,
    'deltaPercent90_COLLECTIBLE_lte': int,
    'deltaPercent90_COLLECTIBLE_gte': int,
    'deltaPercent90_COUNT_COLLECTIBLE_lte': int,
    'deltaPercent90_COUNT_COLLECTIBLE_gte': int,
    'deltaPercent90_COUNT_NEW_lte': int,
    'deltaPercent90_COUNT_NEW_gte': int,
    'deltaPercent90_COUNT_REFURBISHED_lte': int,
    'deltaPercent90_COUNT_REFURBISHED_gte': int,
    'deltaPercent90_COUNT_REVIEWS_lte': int,
    'deltaPercent90_COUNT_REVIEWS_gte': int,
    'deltaPercent90_COUNT_USED_lte': int,
    'deltaPercent90_COUNT_USED_gte': int,
    'deltaPercent90_EBAY_NEW_SHIPPING_lte': int,
    'deltaPercent90_EBAY_NEW_SHIPPING_gte': int,
    'deltaPercent90_EBAY_USED_SHIPPING_lte': int,
    'deltaPercent90_EBAY_USED_SHIPPING_gte': int,
    'deltaPercent90_LIGHTNING_DEAL_lte': int,
    'deltaPercent90_LIGHTNING_DEAL_gte': int,
    'deltaPercent90_LISTPRICE_lte': int,
    'deltaPercent90_LISTPRICE_gte': int,
    'deltaPercent90_NEW_lte': int,
    'deltaPercent90_NEW_gte': int,
    'deltaPercent90_NEW_FBA_lte': int,
    'deltaPercent90_NEW_FBA_gte': int,
    'deltaPercent90_NEW_FBM_SHIPPING_lte': int,
    'deltaPercent90_NEW_FBM_SHIPPING_gte': int,
    'deltaPercent90_RATING_lte': int,
    'deltaPercent90_RATING_gte': int,
    'deltaPercent90_REFURBISHED_lte': int,
    'deltaPercent90_REFURBISHED_gte': int,
    'deltaPercent90_REFURBISHED_SHIPPING_lte': int,
    'deltaPercent90_REFURBISHED_SHIPPING_gte': int,
    'deltaPercent90_RENT_lte': int,
    'deltaPercent90_RENT_gte': int,
    'deltaPercent90_SALES_lte': int,
    'deltaPercent90_SALES_gte': int,
    'deltaPercent90_TRADE_IN_lte': int,
    'deltaPercent90_TRADE_IN_gte': int,
    'deltaPercent90_USED_lte': int,
    'deltaPercent90_USED_gte': int,
    'deltaPercent90_USED_ACCEPTABLE_SHIPPING_lte': int,
    'deltaPercent90_USED_ACCEPTABLE_SHIPPING_gte': int,
    'deltaPercent90_USED_GOOD_SHIPPING_lte': int,
    'deltaPercent90_USED_GOOD_SHIPPING_gte': int,
    'deltaPercent90_USED_NEW_SHIPPING_lte': int,
    'deltaPercent90_USED_NEW_SHIPPING_gte': int,
    'deltaPercent90_USED_VERY_GOOD_SHIPPING_lte': int,
    'deltaPercent90_USED_VERY_GOOD_SHIPPING_gte': int,
    'deltaPercent90_WAREHOUSE_lte': int,
    'deltaPercent90_WAREHOUSE_gte': int,
    'department': list,
    'edition': list,
    'fbaFees_lte': int,
    'fbaFees_gte': int,
    'format': list,
    'genre': list,
    'hasParentASIN': bool,
    'hasReviews': bool,
    'hazardousMaterialType_lte': int,
    'hazardousMaterialType_gte': int,
    'isAdultProduct': bool,
    'isEligibleForSuperSaverShipping': bool,
    'isEligibleForTradeIn': bool,
    'isHighestOffer': bool,
    'isHighest_AMAZON': bool,
    'isHighest_BUY_BOX_SHIPPING': bool,
    'isHighest_COLLECTIBLE': bool,
    'isHighest_COUNT_COLLECTIBLE': bool,
    'isHighest_COUNT_NEW': bool,
    'isHighest_COUNT_REFURBISHED': bool,
    'isHighest_COUNT_REVIEWS': bool,
    'isHighest_COUNT_USED': bool,
    'isHighest_EBAY_NEW_SHIPPING': bool,
    'isHighest_EBAY_USED_SHIPPING': bool,
    'isHighest_LIGHTNING_DEAL': bool,
    'isHighest_LISTPRICE': bool,
    'isHighest_NEW': bool,
    'isHighest_NEW_FBA': bool,
    'isHighest_NEW_FBM_SHIPPING': bool,
    'isHighest_RATING': bool,
    'isHighest_REFURBISHED': bool,
    'isHighest_REFURBISHED_SHIPPING': bool,
    'isHighest_RENT': bool,
    'isHighest_SALES': bool,
    'isHighest_TRADE_IN': bool,
    'isHighest_USED': bool,
    'isHighest_USED_ACCEPTABLE_SHIPPING': bool,
    'isHighest_USED_GOOD_SHIPPING': bool,
    'isHighest_USED_NEW_SHIPPING': bool,
    'isHighest_USED_VERY_GOOD_SHIPPING': bool,
    'isHighest_WAREHOUSE': bool,
    'isLowestOffer': bool,
    'isLowest_AMAZON': bool,
    'isLowest_BUY_BOX_SHIPPING': bool,
    'isLowest_COLLECTIBLE': bool,
    'isLowest_COUNT_COLLECTIBLE': bool,
    'isLowest_COUNT_NEW': bool,
    'isLowest_COUNT_REFURBISHED': bool,
    'isLowest_COUNT_REVIEWS': bool,
    'isLowest_COUNT_USED': bool,
    'isLowest_EBAY_NEW_SHIPPING': bool,
    'isLowest_EBAY_USED_SHIPPING': bool,
    'isLowest_LIGHTNING_DEAL': bool,
    'isLowest_LISTPRICE': bool,
    'isLowest_NEW': bool,
    'isLowest_NEW_FBA': bool,
    'isLowest_NEW_FBM_SHIPPING': bool,
    'isLowest_RATING': bool,
    'isLowest_REFURBISHED': bool,
    'isLowest_REFURBISHED_SHIPPING': bool,
    'isLowest_RENT': bool,
    'isLowest_SALES': bool,
    'isLowest_TRADE_IN': bool,
    'isLowest_USED': bool,
    'isLowest_USED_ACCEPTABLE_SHIPPING': bool,
    'isLowest_USED_GOOD_SHIPPING': bool,
    'isLowest_USED_NEW_SHIPPING': bool,
    'isLowest_USED_VERY_GOOD_SHIPPING': bool,
    'isLowest_WAREHOUSE': bool,
    'isPrimeExclusive': bool,
    'isSNS': bool,
    'label': list,
    'languages': list,
    'lastOffersUpdate_lte': int,
    'lastOffersUpdate_gte': int,
    'lastPriceChange_lte': int,
    'lastPriceChange_gte': int,
    'lastRatingUpdate_lte': int,
    'lastRatingUpdate_gte': int,
    'lastUpdate_lte': int,
    'lastUpdate_gte': int,
    'lightningEnd_lte': int,
    'lightningEnd_gte': int,
    'lightningStart_lte': int,
    'lightningStart_gte': int,
    'listedSince_lte': int,
    'listedSince_gte': int,
    'manufacturer': list,
    'model': list,
    'newPriceIsMAP': bool,
    'nextUpdate_lte': int,
    'nextUpdate_gte': int,
    'numberOfItems_lte': int,
    'numberOfItems_gte': int,
    'numberOfPages_lte': int,
    'numberOfPages_gte': int,
    'numberOfTrackings_lte': int,
    'numberOfTrackings_gte': int,
    'offerCountFBA_lte': int,
    'offerCountFBA_gte': int,
    'offerCountFBM_lte': int,
    'offerCountFBM_gte': int,
    'outOfStockPercentageInInterval_lte': int,
    'outOfStockPercentageInInterval_gte': int,
    'packageDimension_lte': int,
    'packageDimension_gte': int,
    'packageHeight_lte': int,
    'packageHeight_gte': int,
    'packageLength_lte': int,
    'packageLength_gte': int,
    'packageQuantity_lte': int,
    'packageQuantity_gte': int,
    'packageWeight_lte': int,
    'packageWeight_gte': int,
    'packageWidth_lte': int,
    'packageWidth_gte': int,
    'page': int,
    'partNumber': list,
    'perPage': int,
    'platform': list,
    'productGroup': list,
    'productType': list,
    'promotions': int,
    'publicationDate_lte': int,
    'publicationDate_gte': int,
    'publisher': list,
    'releaseDate_lte': int,
    'releaseDate_gte': int,
    'rootCategory': int,
    'sellerIds': str,
    'sellerIdsLowestFBA': str,
    'sellerIdsLowestFBM': str,
    'size': list,
    'stockAmazon_lte': int,
    'stockAmazon_gte': int,
    'stockBuyBox_lte': int,
    'stockBuyBox_gte': int,
    'studio': list,
    'title': str,
    'title_flag': str,
    'trackingSince_lte': int,
    'trackingSince_gte': int,
    'type': list,
    'mpn': list,
    'outOfStockPercentage90_lte': int,
    'outOfStockPercentage90_gte': int}